Package net.shibboleth.idp.plugin.impl

# Class PluginInfo

java.lang.Object
net.shibboleth.profile.installablecomponent.InstallableComponentInfo
net.shibboleth.idp.plugin.impl.PluginInfo

public class PluginInfo extends InstallableComponentInfo
Information about a Plugin.

## Nested Class Summary

## Nested classes/interfaces inherited from class net.shibboleth.profile.installablecomponent.InstallableComponentInfo

`InstallableComponentInfo.VersionInfo`

## Constructor Summary

Constructors
Constructor
Description
`PluginInfo(String id, Properties props)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected InstallableComponentVersion`
`getMaxVersion(Properties props, String version)`
`protected InstallableComponentVersion`
`getMinVersion(Properties props, String version)`

### Methods inherited from class net.shibboleth.profile.installablecomponent.InstallableComponentInfo

`getAvailableVersions, getComponentId, getUpdateBaseName, getUpdateURL, isInfoComplete, isSupportedWithIdPVersion, isSupportedWithIdPVersion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PluginInfo

public PluginInfo(@Nonnull String id, @Nonnull Properties props)
Constructor.

Parameters:
  `id` - the plugin Id to ask about.
  `props` - the properties file to load from

## Method Details

### getMaxVersion

@Nullable protected InstallableComponentVersion getMaxVersion(@Nonnull Properties props, @Nonnull String version)

Specified by:
  `getMaxVersion` in class `InstallableComponentInfo`

### getMinVersion

@Nullable protected InstallableComponentVersion getMinVersion(@Nonnull Properties props, @Nonnull String version)

Specified by:
  `getMinVersion` in class `InstallableComponentInfo`